/* Mobile */
@media (max-width: 767px) {
   
}

/* Tablet & small screens: */
@media (min-width: 768px) and (max-width: 991px) {
    .action-btns .btn-primary {
        padding: 6px;
    }

    .sidebar {
        width: 300px;
        visibility: visible!important;
        z-index: 9999;
    }

    .sidebar-light .nav .nav-item .nav-link .link-icon, .sidebar .sidebar-body .nav .nav-item .nav-link .link-arrow {
        display: none;
    }
    
    .sidebar-light.sidebar-open .nav .nav-item .nav-link .link-icon, .sidebar-light.sidebar-open .nav .nav-item .nav-link .link-arrow {
        display: block;
    }

    .main-wrapper .page-wrapper {
        width: calc(100% - 60px);
        margin-left: 60px;
    }

    .dataTables_wrapper.dt-bootstrap4 .dataTables_length select {
        width: auto!important;
        display: inline-block!important;
    }

    .table th, .table td {
        vertical-align: middle;
        line-height: normal;
        white-space: normal;
    }

    .table td.action-btns {
        padding: 0.875rem 0;
        vertical-align: top;
        border-top: 1px solid #e8ebf1;
    }

    .table-actions-th {
        max-width: 150px!important;
    }

    .table thead th.column-smaller {
        width: calc(100px - 30px)!important;
    }

    .table td.column-smaller-more {
        width: calc(220px - 30px)!important;
    }

    .table thead th.column-smaller-more {
        width: calc(130px + 30px)!important;
    }

    .table td.column-smaller {
        width: calc(100px - 30px)!important;
    }

    table.dataTable thead>tr>td.sorting, table.dataTable thead>tr>td.sorting_asc, table.dataTable thead>tr>td.sorting_desc, table.dataTable thead>tr>th.sorting, table.dataTable thead>tr>th.sorting_asc, table.dataTable thead>tr>th.sorting_desc {
        padding-right: 0px;
    }

    span.badge {
        vertical-align: bottom;
        line-height: 15px;
        height: 30px;
        width: 90px;
    }

    .table-actions span.badge {
        height: 27px!important;
        width: 27px!important;
        float: left;
        margin-top: 7px;
    }

    .material-settings-table .table.short-table, .team-activities-block .table, .activities-table {
        border: none;
        min-width: 1000px;
    }

    .vm-settings-table  .table.short-table {
        min-width: 1200px!important;
    }

    .team-activities-block .table, .all-staff-table .table {
        border: none;
        min-width: 840px;
    }

    .tool-settings-table .table {
        border: none;
        min-width: 600px;
    }

    .resource-rates-table .table {
        border: none;
        min-width: 1300px;
    }

    .vm-settings-table .table.short-table tr, .vm-settings-table .table.short-table td, .vm-settings-table .table.short-table th {
        border: none;
        min-width: 140px;
    }

    .all-clients-table .table tr, .all-clients-table .table td, .all-clients-table .table th {
        min-width: 180px;
    }

    .client-activities-table.table tr, .client-activities-table.table td, .client-activities-table.table th {
        min-width: 210px!important;
    }

    .resource-rates-table .table tr, .resource-rates-table .table td, .resource-rates-table .table th {
        min-width: 179px!important;
    }

    .all-teams-table .table tr, .all-teams-table .table td, .all-teams-table .table th {
        border: none;
        min-width: 190px;
    }

    .team-activities-block .table tr, .team-activities-block .table td, .team-activities-block .table th {
        min-width: 154px!important;
    }

    .all-staff-table .table-actions {
        min-width: 186px!important;
    }

    .activities-table tr, .activities-table td, .activities-table th {
        min-width: 180px!important;
    }

    .dropzone.dz-clickable .dz-message {
        margin-top: 40px;
    }

    h1 {
        line-height: 20px!important;
        font-size: 25px!important;
    }

    .image-upload-wrap {
        margin-top: 0px;
        border: 0;
        position: relative;
        height: 300px;
        padding: 100px 0;
    }

    .table-responsive {
        overflow-x: auto;
    }

    .activities-table .table-actions {
        min-width: 415px!important;
    }

    .activities-table .table-actions-th {
        min-width: 415px !important;
    }

    .table-action {
        padding: 5px 5px;
        vertical-align: middle;
    }

    .table-action i {
        font-size: 16px;
    }

    .footer {
        margin-left: 60px;
        padding-bottom: 10px;
    }

    .sidebar-light .nav {
        display: none !important;
    }

    .sidebar-light.sidebar-open .nav {
        display: flex !important;
    }

    .accordion p {
        line-height: normal;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .activity-page .short-table {
        min-width: 710px;
        max-width: 710px;
    }

    .lrg-txt {
        font-size: 70px;
    }

    .sidebar-light .nav .nav-item i {
        display: block;
    }

    .sidebar-folded.sidebar-folded .nav .nav-item i {
        display: none;
    }

    .sidebar-folded:not(.open-sidebar-folded) .sidebar .sidebar-body .nav .nav-item.nav-category::before {
        visibility: hidden;
    }

    .main-wrapper .page-wrapper {
        width: calc(100% - 70px);
        margin-left: auto;
    }

    .dataTables_wrapper.dt-bootstrap4 .dataTables_length select {
        width: auto!important;
        min-width: 150px;
        display: inline-block!important;
    }

    .table-responsive {
        overflow-x: auto;
    }

    /* .table thead th {
        min-width: 170px;
    } */

    .table thead th.column-smaller {
        min-width: 140px;
    }

    /* .table td {
        min-width: 180px;
    } */

    .table td.column-smaller {
        min-width: 140px;
    }

    table.dataTable thead>tr>td.sorting, table.dataTable thead>tr>td.sorting_asc, table.dataTable thead>tr>td.sorting_desc, table.dataTable thead>tr>th.sorting, table.dataTable thead>tr>th.sorting_asc, table.dataTable thead>tr>th.sorting_desc {
        padding-right: 0px;
    }

    .criteria-tables .table td {
        vertical-align: middle;
        line-height: 30px;
        font-size: 15px;
        white-space: nowrap;
        text-wrap: pretty;
    }

    .vm-settings-table .table.short-table {
        min-width: 1200px!important;
    }

    .vm-settings-table .table td {
        min-width: 170px;
    }

    .category-settings-table .table td {
        min-width: 500px;
    }
    
    .all-clients-table .table td {
        min-width: 170px;
    }

    .all-clients-table .table {
        min-width: 870px;
    }

    .client-activities-table {
        min-width: 1300px;
    }

    .resource-rates-table .table td, .all-teams-table .table td {
        min-width: 200px;
    }

    .resource-rates-table .table {
        min-width: 1400px;
    }

    .team-activities-block .table td {
        min-width: 230px;
    }

    .all-staff-table .table td {
        min-width: 240px;
    }

    .activities-table td, .activities-table th {
        min-width: 200px;
    }

    .static-datepicker {
        text-align: left!important;
    }

    .static-datepicker .datepicker {
        min-width:350px;
        width:350px;
    }

    .modal-body .table {
        min-width: 750px;
        max-width: none;
    }

    .modal .modal-dialog .modal-header .close {
        margin: 12px 0;
        padding: 0;
        position: absolute;
        right: 15px;
        top: 0;
    }

    .modal-title {
        max-width: 430px;
    }
    
    .table-actions, .table-actions-th {
        min-width: 240px;
    }

    .drag-text h3 {
        margin-bottom: 11%;
    }

    .image-upload-wrap {
        padding: 100px 0;
    }

    .footer {
        margin-left: 70px;
        z-index: 980;
    }

    .accordion p {
        line-height: normal;
        vertical-align: middle;
        height: 40px;
    }
}

/* Laptop: */
@media (min-width: 1200px) and (max-width: 1600px) {
    .sidebar .sidebar-header .sidebar-brand {
        margin-top: 25px;
        margin-left: 35px;
    }
    tr {
        overflow: auto;
    }

    .table-responsive {
        overflow-x: auto;
    }
    
    .tab-content .card {
        border: 2px solid #C4C4C4;
        min-height: 180px;
    }

    .modal-dialog {
        margin: 30px auto;
    }

    .modal .modal-dialog .modal-header .close {
        margin: 0px 0;
        padding: 0;
    }
    
    /* .action-btns-th, .table-actions {
        min-width: 250px;
    } */

    .btn, .fc .fc-button, .swal2-modal .swal2-actions button, .wizard > .actions a, .wizard > .actions a:hover, .wizard > .actions .disabled a {
        border-color: transparent;
        line-height: 20px;
        vertical-align: middle;
        border-radius: 5px;
    }

    .tooltip {
        z-index: 9999999999999999;
    }

    .modal .table, table.dataTable {
        min-width: auto!important;
        max-width: none;
        overflow-x: auto;
    }

    .table, table.dataTable {
        /* min-width: 670px!important;
        max-width: none; */
        overflow-x: auto;
    }

    .table.dashboard-table {
        min-width: 100%!important;
    }

    .category-settings-table .table {
        min-width: 630px;
        max-width: none;
        overflow-x: auto;
    }

    .activities-table {
        min-width: 960px;
        max-width: none;
        overflow-x: auto;
    }

    .client-activities-table {
        min-width: 1250px;
        max-width: none;
        overflow-x: auto;
    }

    .chart-date.form-control {
        overflow: hidden
    }

    .btn-primary {
        padding: 10px;
    }

    .financials-chart .right-first {
        padding-right: 20px;
        text-align: left;
    }

    .team-activities-block .table {
        min-width: 900px;
        max-width: none;
        overflow-x: auto;
    }

    table.dataTable tbody td {
        padding: 8px!important;
    }

    .table thead th, table.dataTable.display tbody th, table.dataTable thead th {
        padding: 8px 7px;
    }

    .table-action {
        padding: 8px;
    }

    .table-action i {
        width: 18px;
        height: 20px;
        text-align: center;
        font-size: 16px;
        vertical-align: middle;
    }

    .form-group label {
        font-size: 12px;
    }
    
    .activities-table .column-smaller {
        min-width: 130px;
        width: auto!important;
    }

    .table.activities-table {
        min-width: 1180px;
        max-width: none;
        overflow-x: auto;
    }
    
    .accordion p {
        line-height: normal;
        vertical-align: middle;
        height: 40px;
    }
}


@media (min-width: 1200px) {
    .sidebar-toggler {
        display: none;
    }

    #activity-table tr {
        overflow: auto;
    }
}